Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyPackageDoc

Field Summary
`char` | `FS`
`Map` | `classDocs`

Constructor Summary
`SimpleGroovyPackageDoc(String name)`

Method Summary
`def` | `allClasses()`
`def` | `allClasses(boolean arg0)`
`def` | `enums()`
`def` | `errors()`
`def` | `exceptions()`
`GroovyClassDoc` | `findClass(String arg0)`
`String` | `getRelativeRootPath()`
`def` | `interfaces()`
`String` | `nameWithDots()`
`def` | `ordinaryClasses()`
`void` | `putAll(Map classes)`

Constructor Detail

### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc(String name)

Method Detail

### allClasses

    public def allClasses()

### allClasses

    public def allClasses(boolean arg0)

### enums

    public def enums()

### errors

    public def errors()

### exceptions

    public def exceptions()

### findClass

    public GroovyClassDoc findClass(String arg0)

### getRelativeRootPath

    public String getRelativeRootPath()

### interfaces

    public def interfaces()

### nameWithDots

    public String nameWithDots()

### ordinaryClasses

    public def ordinaryClasses()

### putAll

    public void putAll(Map classes)